# QSLOGGER

Section: qslogger man page (1)
Updated: April 2024
Index Return to Main Contents

## NAME

qslogger - another shell command interface to the system log module (syslog).

## SYNOPSIS

qslogger [-t <tag>] [-f <facility>] [-l <level>] [-x <prefix>] [-r <expression>] [-d <level>] [-u <name>] [-p]

## DESCRIPTION

Use this utility to forward log messages to the systems syslog facility, e.g., to forward the messages to a remote host. It reads data from stdin.

## OPTIONS

-t <tag>
  Defines the tag name which shall be used to define the origin of the messages, e.g. 'httpd'.
-f <facility>
  Defines the syslog facility. Default is 'daemon'.
-u <name>
  Becomes another user, e.g. www-data.
-l <level>
  Defines the minimal severity a message must have in order to be forwarded. Default is 'DEBUG' (forwarding everything).
-x <prefix>
  Allows you to add a prefix (literal string) to every message.
-r <expression>
  Specifies a regular expression which shall be used to determine the severity (syslog level) for each log line. The default pattern '^\[[0-9a-zA-Z :]+\] \[([a-z]+)\] ' can be used for Apache error log messages but you may configure your own pattern matching other log formats. Use brackets to define the pattern enclosing the severity string. Default level (if severity can't be determined) is defined by the option '-d' (see below).
-d <level>
  The default severity if the specified pattern (-r) does not match and the message's severity can't be determined. Default is 'NOTICE'.
-p
  Writes data also to stdout (for piped logging).

## EXAMPLE

ErrorLog "|/usr/bin/qslogger -t apache -f local7"

## SEE ALSO

qsdt(1), qsexec(1), qsfilter2(1), qsgeo(1), qsgrep(1), qshead(1), qslog(1), qspng(1), qsre(1), qsrespeed(1), qsrotate(1), qssign(1), qstail(1)

## AUTHOR

Pascal Buchbinder, http://mod-qos.sourceforge.net/

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLE
SEE ALSO
AUTHOR